package base64

import (
	"encoding/base64"
)

// Encode Base64编码加密
func Encode(data []byte) []byte {
	res := make([]byte, base64.StdEncoding.EncodedLen(len(data)))
	base64.StdEncoding.Encode(res, data)
	return res
}

// Decode Base64编码解密
func Decode(data []byte) []byte {
	res := make([]byte, base64.StdEncoding.DecodedLen(len(data)))
	n, err := base64.StdEncoding.Decode(res, data)
	if err != nil {
		//logger.Error(err, string(data))
		return nil
	}
	return res[:n]
}
