package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcEventListModel = (*customDcEventListModel)(nil)

type (
	// DcEventListModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcEventListModel.
	DcEventListModel interface {
		dcEventListModel
	}

	customDcEventListModel struct {
		*defaultDcEventListModel
	}
)

// NewDcEventListModel returns a model for the database table.
func NewDcEventListModel(conn sqlx.SqlConn) DcEventListModel {
	return &customDcEventListModel{
		defaultDcEventListModel: newDcEventListModel(conn),
	}
}
