package md5

import (
	"crypto/md5"
	"encoding/hex"
	"io/ioutil"
)

func Md5(input []byte) string {
	hasher := md5.New()
	hasher.Write(input)

	return hex.EncodeToString(hasher.Sum(nil))
}

func Md5File(path string) (string, error) {
	data, err := ioutil.ReadFile(path)
	if err != nil {
		return "", err
	}
	return Md5(data), nil
}
